* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    font-size: 100%;
}

body {
    color: #0a0a0a;
    font-family: Arial, sans-serif, DM Sans;
    font-style: normal;
    font-weight: 400;
    line-height: 1.5rem;
    letter-spacing: -0.198px;
    background-color: #f7f7f7;
    padding: 7.25rem 3.75rem;
    width: 100%;
    max-height: 100%;
}
p {
    font-size: 1.125rem;
}

.header {
    text-align: center;
    margin-bottom: 3.5rem;
    height: 6rem;
}

.header .title-header {
    margin-bottom: 1.5rem;
    font-size: 3rem;
}

.map {
    height: 44rem;
    background-image: url('./src/assets/World.png');
    background-repeat: no-repeat;
    background-position: top;
    background-size: contain;
}

.contacts-row {
    display: flex;
    width: 100%;
    align-items: flex-start;
    justify-content: space-between;
}
.contacts-row.first,
.contacts-row.second {
    position: relative;
    top: -12.5rem;
}

.contact-card {
    position: relative;
    width: 51%;
    margin: 0 1.5rem 1.5rem 0;
    height: 13rem;
    display: flex;
    padding: 1.5rem;
    border-radius: 1.25rem;
    background-color: #fff;
    box-shadow: 0px 0px 40px 0px rgba(44, 59, 64, 0.15);
}

.contacts-row.second .contact-card {
    width: 51%;
    margin: 0 1.5rem 1.5rem 0;
}
.contact-info {
    font-size: 1.125rem;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}
.contact-info .contact-title {
    font-size: 1.75rem;
    font-weight: 700;
    font-style: normal;
    line-height: 1.778rem;
}
.location {
    color: #9e9e9e;
}
.contact-info span {
    margin-bottom: 0.5rem;
}
.flag-icon {
    position: absolute;
    right: 1.5rem;
    top: 1.5rem;
    width: 2.5rem;
    height: 2.5rem;
}

@media (max-width: 768px) {
    body {
        padding: 2.5rem;
    }
    .header {
        height: 2.5rem;
    }
    .map {
        width: 100%;
        height: 12.625rem;
        margin-bottom: 15.3rem;
    }
    .contact-card {
        margin-bottom: 1.5rem;
        font-size: 1rem;
    }
    .contact-info .contact-title {
        font-size: 1.25rem;
        line-height: 1.5rem;
    }
    .contacts-row .contact-card {
        width: calc(50% - 1rem);
    }
    .contact-info {
        font-size: 1rem;
    }
    .contact-info span {
        margin: 0;
    }
    .flag-icon {
        width: 2rem;
        height: 2rem;
    }
}

@media (max-width: 480px) {
    .contacts-row {
        flex-direction: column;
    }
    .contacts-row .contact-card {
        width: 100%;
    }
    .contacts-row.second .contact-card {
        width: 100%;
        margin-bottom: 1.5rem;
    }
}
